Page MenuHomePhabricator

LanguageConverter should support preventing the conversion of a category name
Open, Needs TriagePublic

Description

Steps to reproduce:

  1. Go to the "Outlook Express" article (sr.wiki; Cyrillic variant)
  2. Scroll down to the category box and take a look.

Actual result:
You can see that there is a category named "Мицрософт" (Microsoft) converted to Cyrillic script, although it should not be. The problem occurs on all projects that use LanguageConverter (example from uz.wiki).

Expected result:
The category name should remain in the original form – "Microsoft". Maybe it makes sense to create a magic word that would prevent conversion.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 7 2020, 12:36 PM
Base added a subscriber: Base.Jul 16 2020, 10:48 PM

Writing -{[[Категорија:Microsoft]]}- solves the issue. It seems to make sense to convert "Електронска пошта" category name. Is what I wrote in the first sentence what you are looking for, or you still think something has to be done?

Acamicamacaraca added a comment.EditedJul 17 2020, 3:49 PM

@Base You're right. I don't know how I missed it. The task can be closed now.

Kizule closed this task as Invalid.Jul 17 2020, 6:43 PM

Closing task per last comment...

Acamicamacaraca reopened this task as Open.Jul 18 2020, 5:51 PM

Erm... We have another problem... See this page and take a look at the category box. The conversion of the words "Razorlight" (full cat name: "Песме групе Razorlight") and "UK Singles Chart" (full cat name: Синглови на првом месту листе UK Singles Chart) should be prevented somehow.